# Uses of Class
org.apache.lucene.index.BinaryDocValues

Packages that use BinaryDocValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of BinaryDocValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return BinaryDocValues
Modifier and Type
Method
Description
`abstract BinaryDocValues`
DocValuesProducer.`getBinary(FieldInfo field)`
Returns `BinaryDocValues` for this field.

## Uses of BinaryDocValues in org.apache.lucene.document

Subclasses of BinaryDocValues in org.apache.lucene.document
Modifier and Type
Class
Description
`class`
`BinaryRangeDocValues`
A binary representation of a range that wraps a BinaryDocValues field
Constructors in org.apache.lucene.document with parameters of type BinaryDocValues
Modifier
Constructor
Description
``
`BinaryRangeDocValues(BinaryDocValues in, int numDims, int numBytesPerDimension)`
Constructor for BinaryRangeDocValues

## Uses of BinaryDocValues in org.apache.lucene.index

Subclasses of BinaryDocValues in org.apache.lucene.index
Modifier and Type
Class
Description
`class`
`FilterBinaryDocValues`
Delegates all methods to a wrapped `BinaryDocValues`.
Fields in org.apache.lucene.index declared as BinaryDocValues
Modifier and Type
Field
Description
`protected final BinaryDocValues`
FilterBinaryDocValues.`in`
Wrapped values
Methods in org.apache.lucene.index that return BinaryDocValues
Modifier and Type
Method
Description
`static final BinaryDocValues`
DocValues.`emptyBinary()`
An empty `BinaryDocValues` which returns no documents
`static BinaryDocValues`
DocValues.`getBinary(LeafReader reader, String field)`
Returns BinaryDocValues for the field, or `DocValues.emptyBinary()` if it has none.
`BinaryDocValues`
EmptyDocValuesProducer.`getBinary(FieldInfo field)`
`final BinaryDocValues`
CodecReader.`getBinaryDocValues(String field)`
`BinaryDocValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getBinaryDocValues(String field)`
`BinaryDocValues`
FilterLeafReader.`getBinaryDocValues(String field)`
`abstract BinaryDocValues`
LeafReader.`getBinaryDocValues(String field)`
Returns `BinaryDocValues` for this field, or null if no binary doc values were indexed for this field.
`BinaryDocValues`
ParallelLeafReader.`getBinaryDocValues(String field)`
`static BinaryDocValues`
MultiDocValues.`getBinaryValues(IndexReader r, String field)`
Returns a BinaryDocValues for a reader's docvalues (potentially merging on-the-fly)
Constructors in org.apache.lucene.index with parameters of type BinaryDocValues
Modifier
Constructor
Description
`protected`
`FilterBinaryDocValues(BinaryDocValues in)`
Sole constructor

## Uses of BinaryDocValues in org.apache.lucene.search

Methods in org.apache.lucene.search that return BinaryDocValues
Modifier and Type
Method
Description
`protected BinaryDocValues`
FieldComparator.TermValComparator.`getBinaryDocValues(LeafReaderContext context, String field)`
Retrieves the BinaryDocValues for the field in this segment